mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Delegate System.Runtime.InteropServices.ComVisible(true)

is a special class. Compilers and other tools can derive from this class, but you cannot derive from it explicitly. The same is true of the class.

In addition to the methods that delegate types inherit from , the common language runtime provides two special methods: BeginInvoke and EndInvoke. For more information about these methods, see Calling Asynchronous Methods Synchronously.

A has a linked list of delegates, called an invocation list, consisting of one or more elements. When a multicast delegate is invoked, the delegates in the invocation list are called synchronously in the order in which they appear. If an error occurs during execution of the list then an exception is thrown.

Represents a multicast delegate; that is, a delegate that can have more than one element in its invocation list.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor cannot be used in application code. To create a delegate by specifying the name of an instance method, use an overload of the method that specifies a method name and a target object. For example, the method overload creates a delegate for an instance method with a specified name.

  Initializes a new instance of the class.

  The object on which is defined.
  The name of the method for which a delegate is created.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor cannot be used in application code. To create a delegate by specifying the name of a static method, use an overload of the method that specifies a method name but does not specify a target object. For example, the method overload creates a static delegate for a method with a specified name.

  Initializes a new instance of the class.

  The type of object on which is defined.
  The name of the static method for which a delegate is created.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Delegate `` To be added.

  Combines this with the specified to form a new delegate.

  A delegate that is the new root of the invocation list.

  The delegate to combine with this delegate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added.

  Processes the full invocation list.

  An array that contains the return value of the encapsulated method.

  The arguments to pass to the encapsulated method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Two delegates are equal if they are not null and are of exactly the same type, their invocation lists contain the same number of elements, and every element in the invocation list of the first delegate is equal to the corresponding element in the invocation list of the second delegate.

  Two invocation list elements are equal if they invoke the same instance method on the same target instance, or they invoke the same static method.

  Determines whether this multicast delegate and the specified object are equal.

  true if and this instance have the same invocation lists; otherwise, false.

  The object to compare with this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Delegate[]

  The array contains a set of delegates, each with an invocation list of one entry. Invoking these delegates sequentially, in the order they appear in the array, produces the same results as invoking the current instance.

  Returns the invocation list of this multicast delegate, in invocation order.

  An array of delegates whose invocation lists collectively match the invocation list of this instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method stores all the information in necessary to serialize this instance.

  The parameter is reserved and is not currently used in the execution of this method.

  Populates a object with all the data needed to serialize this instance.

  An object that holds all the data needed to serialize or deserialize this instance. (Reserved) The location where serialized data is stored and retrieved.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Two delegates are equal if they are not null and are of exactly the same type, their invocation lists contain the same number of elements, and every element in the invocation list of the first delegate is equal to the corresponding element in the invocation list of the second delegate.

  Two invocation list elements are equal if they invoke the same instance method on the same target instance, or they invoke the same static method.

  Determines whether two objects are equal.

  true if and have the same invocation lists; otherwise, false.

  The left operand. The right operand.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Two delegates are equal if they are not null and are of exactly the same type, their invocation lists contain the same number of elements, and every element in the invocation list of the first delegate is equal to the corresponding element in the invocation list of the second delegate.

  Two invocation list elements are equal if they invoke the same instance method on the same target instance, or they invoke the same static method.

  Determines whether two objects are not equal.

  true if and do not have the same invocation lists; otherwise, false.

  The left operand. The right operand.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Delegate `` To be added.

  Removes an element from the invocation list of this that is equal to the specified delegate.

  If is found in the invocation list for this instance, then a new without in its invocation list; otherwise, this instance with its original invocation list.

  The delegate to search for in the invocation list.